// Stop reusing active windows:
user_pref("advanced.system.supportDDEExec", false);

// Turn off Automatic Image Resizing:
user_pref("browser.enable_automatic_image_resizing", false);

// Put an end to blink tags!
user_pref("browser.blink_allowed", false);

// disable target="_blank" (open in same window)
// user_pref("browser.block.target_new_window", true);

// No popup for timeouts
user_pref("browser.xul.error_pages.enabled", true);

// I like the tab bar
user_pref("browser.tabs.autoHide", false);

// Privacy
user_pref("browser.formfill.enable", false);
user_pref("browser.history_expire_days", 0);

// let me decide how my browser windows looks like, ok?
user_pref("dom.disable_window_move_resize", true);
user_pref("dom.disable_window_open_feature.close", true);
user_pref("dom.disable_window_open_feature.location", true);
user_pref("dom.disable_window_open_feature.menubar", true);
user_pref("dom.disable_window_open_feature.minimizable", true);
user_pref("dom.disable_window_open_feature.resizable", true);
user_pref("dom.disable_window_open_feature.scrollbars", true);
user_pref("dom.disable_window_open_feature.status", true);
user_pref("dom.disable_window_status_change", true);
user_pref("dom.disable_window_flip", true);
// let msg appear in status bar
user_pref("dom.disable_window_status_change", false);

// I dont use scrolling, thanks!
user_pref("general.smoothScroll", false);
user_pref("general.autoScroll", false)

// No animations, please
user_pref("image.animation_mode", "none");

// Customise Google search
// user_pref("keyword.URL","http://www.google.com/search?btnI=I%27m+Feeling+Lucky&q=");

// Speed up. Value in milliseconds (default is 250)
user_pref("nglayout.initialpaint.delay", 1);

// Session cookies only
user_pref("network.cookie.enableForCurrentSessionOnly", true);

// Referrer 0=don't send any, 1=send only on clicks, 2=send on image requests as well
user_pref("network.http.sendRefererHeader", 1);

// Dont warn me, as I already know about these
user_pref("security.warn_entering_secure", false);
user_pref("security.warn_leaving_secure", false);
user_pref("security.warn_submit_insecure", false); 